import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:twister/cubit/game_cubit.dart';
import 'package:twister/ui/helpers/outlined_text_widget.dart';

class GameMovesCountWidget extends StatelessWidget {
  const GameMovesCountWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        return OutlinedText(
          text: gameState.currentGame.history.length.toString(),
          fontSize: 50,
          textColor: Colors.grey,
          outlineColor: Colors.grey.shade200,
        );
      },
    );
  }
}
